.rui-loading {
  &__wrapper {
    z-index: var(--z-index-modal);
    display: flex;
    align-items: center;
    color: var(--loading-color);
    gap: var(--spacer-default);
  }

  &__spinner {
    display: block;
    width: 1em;
    height: 1em;
    box-sizing: border-box;
    border: 0.2rem solid var(--loading-color);
    border-color: var(--loading-color) transparent transparent transparent;
    border-radius: 50%;
    margin: 0.2rem;
    animation: spin 1s cubic-bezier(0.55, 0.085, 0.68, 0.53) infinite;

    > div {
      width: 1em;
      height: 1em;
    }

    div:nth-child(1) { animation-delay: -0.45s; }
    div:nth-child(2) { animation-delay: -0.3s; }
  }

  &--fill {
    .rui-loading__wrapper {
      position: fixed;
      top: 50%;
      left: 50%;
      flex-direction: column;
      transform: translateY(-50%) translateX(-50%);
    }

    .rui-loading__spinner {
      font-size: 5rem;
    }
  }

  &--relative {
    .rui-overlay {
      position: absolute;
    }
  }

  &--centered {
    .rui-loading__wrapper {
      justify-content: center;
    }
  }
}
